package com.example.mohmou.networkclient;

import android.content.Intent;
import android.os.Bundle;
import android.support.v7.app.ActionBarActivity;
import android.view.Menu;
import android.view.MenuItem;
import android.view.View;
import android.widget.Button;
import android.widget.EditText;
import android.widget.Toast;

public class MainActivity extends ActionBarActivity {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);

        final Intent intent = new Intent(this,  EchoService.class);

        final EditText echoText = (EditText) findViewById(R.id.echoText);
        final Button   submit = (Button) findViewById(R.id.submit);

        submit.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {

                String data = echoText.getText().toString();

                if (data.equals("x"))
                    intent.putExtra("what", 2);
                else {
                    intent.putExtra("what", 1);
                    Bundle b = new Bundle();
                    b.putString("data", data);
                    intent.putExtra("arguments", b);
                }

                Toast.makeText( MainActivity.this , "Connecting...", Toast.LENGTH_SHORT).show();

                startService(intent);
                Toast.makeText( MainActivity.this , "Started...", Toast.LENGTH_SHORT).show();
                finish();

            }
        });


    }

    @Override
    public boolean onCreateOptionsMenu(Menu menu) {
        // Inflate the menu; this adds items to the action bar if it is present.
        getMenuInflater().inflate(R.menu.menu_main, menu);
        return true;
    }

    @Override
    public boolean onOptionsItemSelected(MenuItem item) {
        // Handle action bar item clicks here. The action bar will
        // automatically handle clicks on the Home/Up button, so long
        // as you specify a parent activity in AndroidManifest.xml.
        int id = item.getItemId();

        //noinspection SimplifiableIfStatement
        if (id == R.id.action_settings) {
            return true;
        }

        return super.onOptionsItemSelected(item);
    }
}
